Retrieve an agent
curl --request GET \
--url https://api.deck.co/v2/agents/{agent_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deck.co/v2/agents/{agent_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deck.co/v2/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"name": "<string>",
"description": "<string>",
"tasks": [
{
"id": "<string>",
"object": "<string>",
"name": "<string>",
"status": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"traceId": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}Agents
Retrieve an agent
Returns the full agent object including its associated tasks.
GET
/
agents
/
{agent_id}
Retrieve an agent
Authorizations
Secret key (sk_live_...)
Path Parameters
Unique identifier for the agent (prefixed with agt_).
Response
OK
An agent object. Agents organize related tasks under a single use case.
Unique identifier for the agent, prefixed with agt_.
Always agent.
Display name for the agent.
Description of the agent's purpose.
Tasks associated with this agent.
Show child attributes
Show child attributes
ISO 8601 timestamp of when the resource was created.
ISO 8601 timestamp of when the resource was last updated.
Unique identifier for the API request. Include this when contacting support.
Was this page helpful?
⌘I